Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageSendingStateFailed

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSendingState
it.tdlight.jni.TdApi.MessageSendingStateFailed

Enclosing class:
  TdApi

public static final class TdApi.MessageSendingStateFailed extends TdApi.MessageSendingState
The message failed to be sent.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canRetry`
True, if the message can be re-sent.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.Error`
`error`
The cause of the message sending failure.
`boolean`
`needAnotherReplyQuote`
True, if the message can be re-sent only if another quote is chosen in the message that is replied by the given message.
`boolean`
`needAnotherSender`
True, if the message can be re-sent only on behalf of a different sender.
`boolean`
`needDropReply`
True, if the message can be re-sent only if the message to be replied is removed.
`double`
`retryAfter`
Time left before the message can be re-sent, in seconds.

## Constructor Summary

Constructors
Constructor
Description
`MessageSendingStateFailed()`
The message failed to be sent.
`MessageSendingStateFailed(TdApi.Error error, boolean canRetry, boolean needAnotherSender, boolean needAnotherReplyQuote, boolean needDropReply, double retryAfter)`
The message failed to be sent.
`MessageSendingStateFailed(DataInput input)`
The message failed to be sent.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### error

public TdApi.Error error
The cause of the message sending failure.

### canRetry

public boolean canRetry
True, if the message can be re-sent.

### needAnotherSender

public boolean needAnotherSender
True, if the message can be re-sent only on behalf of a different sender.

### needAnotherReplyQuote

public boolean needAnotherReplyQuote
True, if the message can be re-sent only if another quote is chosen in the message that is replied by the given message.

### needDropReply

public boolean needDropReply
True, if the message can be re-sent only if the message to be replied is removed. This will be done automatically by resendMessages.

### retryAfter

public double retryAfter
Time left before the message can be re-sent, in seconds. No update is sent when this field changes.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageSendingStateFailed

public MessageSendingStateFailed()
The message failed to be sent.

### MessageSendingStateFailed

public MessageSendingStateFailed(TdApi.Error error, boolean canRetry, boolean needAnotherSender, boolean needAnotherReplyQuote, boolean needDropReply, double retryAfter)
The message failed to be sent.

Parameters:
  `error` - The cause of the message sending failure.
  `canRetry` - True, if the message can be re-sent.
  `needAnotherSender` - True, if the message can be re-sent only on behalf of a different sender.
  `needAnotherReplyQuote` - True, if the message can be re-sent only if another quote is chosen in the message that is replied by the given message.
  `needDropReply` - True, if the message can be re-sent only if the message to be replied is removed. This will be done automatically by resendMessages.
  `retryAfter` - Time left before the message can be re-sent, in seconds. No update is sent when this field changes.

### MessageSendingStateFailed

public MessageSendingStateFailed(DataInput input) throws IOException
The message failed to be sent.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`